org.opencv.ximgproc

## Class StructuredEdgeDetection

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.StructuredEdgeDetection

-     public class StructuredEdgeDetection
      extends Algorithm

  Class implementing edge detection algorithm from CITE: Dollar2013 :

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StructuredEdgeDetection(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StructuredEdgeDetection` | `__fromPtr__(long addr)`
    `void` | `computeOrientation(Mat _src, Mat _dst)` The function computes orientation from edge image.
    `void` | `detectEdges(Mat _src, Mat _dst)` The function detects edges in src and draw them to dst.
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst)` The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r)` The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r, int s)` The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r, int s, float m)` The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
    `void` | `edgesNms(Mat edge_image, Mat orientation_image, Mat _dst, int r, int s, float m, boolean isParallel)` The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructuredEdgeDetection

          protected StructuredEdgeDetection(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StructuredEdgeDetection __fromPtr__(long addr)

    - #### computeOrientation

          public void computeOrientation(Mat _src,
                                         Mat _dst)

      The function computes orientation from edge image.
      Parameters:
        `_src` - edge image.
        `_dst` - orientation image.

    - #### detectEdges

          public void detectEdges(Mat _src,
                                  Mat _dst)

      The function detects edges in src and draw them to dst. The algorithm underlies this function is much more robust to texture presence, than common approaches, e.g. Sobel
      Parameters:
        `_src` - source image (RGB, float, in [0;1]) to detect edges
        `_dst` - destination image (grayscale, float, in [0;1]) where edges are drawn SEE: Sobel, Canny

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r,
                               int s,
                               float m,
                               boolean isParallel)

      The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
      Parameters:
        `edge_image` - edge image from detectEdges function.
        `orientation_image` - orientation image from computeOrientation function.
        `_dst` - suppressed image (grayscale, float, in [0;1])
        `r` - radius for NMS suppression.
        `s` - radius for boundary suppression.
        `m` - multiplier for conservative suppression.
        `isParallel` - enables/disables parallel computing.

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r,
                               int s,
                               float m)

      The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
      Parameters:
        `edge_image` - edge image from detectEdges function.
        `orientation_image` - orientation image from computeOrientation function.
        `_dst` - suppressed image (grayscale, float, in [0;1])
        `r` - radius for NMS suppression.
        `s` - radius for boundary suppression.
        `m` - multiplier for conservative suppression.

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r,
                               int s)

      The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
      Parameters:
        `edge_image` - edge image from detectEdges function.
        `orientation_image` - orientation image from computeOrientation function.
        `_dst` - suppressed image (grayscale, float, in [0;1])
        `r` - radius for NMS suppression.
        `s` - radius for boundary suppression.

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst,
                               int r)

      The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
      Parameters:
        `edge_image` - edge image from detectEdges function.
        `orientation_image` - orientation image from computeOrientation function.
        `_dst` - suppressed image (grayscale, float, in [0;1])
        `r` - radius for NMS suppression.

    - #### edgesNms

          public void edgesNms(Mat edge_image,
                               Mat orientation_image,
                               Mat _dst)

      The function edgenms in edge image and suppress edges where edge is stronger in orthogonal direction.
      Parameters:
        `edge_image` - edge image from detectEdges function.
        `orientation_image` - orientation image from computeOrientation function.
        `_dst` - suppressed image (grayscale, float, in [0;1])

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8